## org.openqa.selenium.server.browserlaunchers
Class UnixUtils

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.UnixUtils

    public class UnixUtils

extends java.lang.Object

Handy utilities for managing Unix/Linux processes

Constructor Summary
`UnixUtils()`

Method Summary
`static int` `getProcessId(java.lang.Process p)` retrieves the pid
`static void` `kill9(java.lang.Integer pid)` runs "kill -9" on the specified pid
`static void` `kill9(java.lang.Process p)` runs "kill -9" on the specified process

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnixUtils

    public UnixUtils()

Method Detail

### getProcessId

    public static int getProcessId(java.lang.Process p)

  retrieves the pid

### kill9

    public static void kill9(java.lang.Integer pid)

  runs "kill -9" on the specified pid

### kill9

    public static void kill9(java.lang.Process p)

  runs "kill -9" on the specified process

Copyright © 2009. All Rights Reserved.